#include<bits/stdc++.h>
using namespace std;
long long n;
string s[1000];
long long buk[100];
long long odds=0;
int main()
{
    cin>>n;
    for(long long i=0;i<n;i++)
    {
        cin>>s[i];
    }
    for(long long i=0;i<n;i++)
    {
        odds=0;
        for(long long j=0;j<50;j++)
        {
            buk[j]=0;
        }
        for(long long j=0;j<s[i].length();j++)
        {
            if(s[i][j]>='A' && s[i][j]<='Z')
            {
                buk[s[i][j]-'A']++;
            }
            else
            {
                buk[s[i][j]-'a'+27]++;
              //  cout<<buk[s[i][j]-'a'+27]<<" ";
            }
        }
        for(long long j=0;j<100;j++)
        {
            if(buk[j]%2==1)
            {
               // cout<<"S";
                odds++;
            }
        }
        if(odds>1)
        {
            cout<<"0";
        }
        else
        {
            cout<<"1";
        }
    }
    return 0;
}
